Texa DeskDevelopers

Customer portal API · My requests

List my requests

GET/public/api/v1/portals/{slug}/texa/requests

The session contact's tickets of customer-facing types.

Authorization

Authorizationheaderrequired

The customer's portal session: the help centre's cookie, or the token from POST …/texa/verify or …/texa/identity as a bearer token.

Path parameters

slugstringrequired

The help centre's slug

Responses

200

The requests

levelstring
dataarray of object
data[].referencestring
data[].titlestring
data[].typeobject

{id, name, icon, complaint, sensitive}

data[].stateobject

{name, category}: the state in the customer's words

data[].created_atinteger
data[].updated_atinteger
data[].due_atinteger
data[].resolved_atinteger
401

Signed out